summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Ronny Schmatzler2012-05-21 20:17:13 +0200
committer Erik Hanson2012-05-22 00:58:15 +0200
commitf11df27d2fcf19e6092f51204507459e65feaacc (patch)
treeb8b065f704a0cfafb4d5e761544f58bb52507909 /misc
parent70bb8c7b6094a03295b3defac36de0562db2da78 (diff)
downloadslackbuilds-f11df27d2fcf19e6092f51204507459e65feaacc.tar.gz
misc/kde_cdemu: Added (frontend for CDEmu.)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/kde_cdemu/README10
-rw-r--r--misc/kde_cdemu/doinst.sh3
-rw-r--r--misc/kde_cdemu/kde_cdemu.SlackBuild58
-rw-r--r--misc/kde_cdemu/kde_cdemu.info10
-rw-r--r--misc/kde_cdemu/slack-desc19
5 files changed, 100 insertions, 0 deletions
diff --git a/misc/kde_cdemu/README b/misc/kde_cdemu/README
new file mode 100644
index 0000000000..cd5a887158
--- /dev/null
+++ b/misc/kde_cdemu/README
@@ -0,0 +1,10 @@
+KDE CDEmu Manager is a simple frontend for CDEmu.
+
+It provides a little manager window that gives you an overview of your
+virtual drives and allows you to mount and unmount images. It also
+includes a KDE service menu for mounting images directly from
+Dolphin/Konqueror (which is what most people will want to use). Images
+can be unmounted like any other media through Dolphin or the Device
+Notifier plasmoid.
+
+This requires cdemu-daemon \ No newline at end of file
diff --git a/misc/kde_cdemu/doinst.sh b/misc/kde_cdemu/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/misc/kde_cdemu/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/misc/kde_cdemu/kde_cdemu.SlackBuild b/misc/kde_cdemu/kde_cdemu.SlackBuild
new file mode 100644
index 0000000000..a6891f4fcf
--- /dev/null
+++ b/misc/kde_cdemu/kde_cdemu.SlackBuild
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# Slackware build script for kde_cdemu
+
+# Written by Ronny Schmatzler <schmatzler@hirnschwund.net>
+
+# Based on http://slackbuilds.org/template.SlackBuild
+
+PRGNAM=kde_cdemu
+VERSION=${VERSION:-0.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xjvf $CWD/99752-$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cmake -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` .
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+install -m0644 -oroot ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/kde_cdemu/kde_cdemu.info b/misc/kde_cdemu/kde_cdemu.info
new file mode 100644
index 0000000000..0e72954b36
--- /dev/null
+++ b/misc/kde_cdemu/kde_cdemu.info
@@ -0,0 +1,10 @@
+PRGNAM="kde_cdemu"
+VERSION="0.4"
+HOMEPAGE="http://kde-apps.org/content/show.php?content=99752"
+DOWNLOAD="http://kde-apps.org/CONTENT/content-files/99752-kde_cdemu-0.4.tar.bz2"
+MD5SUM="846034bb148f7d22021ef2ce11a63fd9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Ronny Schmatzler"
+EMAIL="schmatzler@hirnschwund.net"
+APPROVED="dsomero"
diff --git a/misc/kde_cdemu/slack-desc b/misc/kde_cdemu/slack-desc
new file mode 100644
index 0000000000..c5ac0102f0
--- /dev/null
+++ b/misc/kde_cdemu/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kde_cdemu: kde_cdemu (KDE CDEmu Manager is a simple frontend for CDEmu.)
+kde_cdemu:
+kde_cdemu: KDE CDEmu Manager is a simple frontend for CDEmu. It provides a
+kde_cdemu: little manager window that gives you an overview of your virtual
+kde_cdemu: drives and allows you to mount and unmount images. It also
+kde_cdemu: includes a KDE service menu for mounting images directly from
+kde_cdemu: Dolphin/Konqueror (which is what most people will want to use).
+kde_cdemu: Images can be unmounted like any other media through Dolphin or
+kde_cdemu: the Device Notifier plasmoid.
+kde_cdemu:
+kde_cdemu: Homepage: http://kde-apps.org/content/show.php?content=99752